# Ternary Class Reference
[Widely used base classes and interfaces, Classes implemented in PHP's extension.]

Atom for ternary-based logic. More...

Inheritance diagram for Ternary:
[legend]

List of all members.

## Public Member Functions

| __construct ($boolean=null)
| isNull ()
| isTrue ()
| isFalse ()
| setNull ()
| setTrue ()
| setFalse ()
| getValue ()
| setValue ($boolean=null)
| decide ($true, $false, $null=null)
| toString ()

## Static Public Member Functions

static | create ($boolean=null)
static | spawn ($value, $true, $false, $null=null)

## Private Attributes

| $trinity = null

## Detailed Description

Atom for ternary-based logic.

Definition at line 18 of file Ternary.class.php.

## Constructor & Destructor Documentation

Ternary::__construct | ( | $ | boolean = `null` | ) |

Definition at line 22 of file Ternary.class.php.

References setValue().

Here is the call graph for this function:

## Member Function Documentation

static Ternary::create | ( | $ | boolean = `null` | ) | `[static]`

Returns:
  Ternary

Definition at line 30 of file Ternary.class.php.

Ternary::decide | ( | $ | true,
|  | $ | false,
|  | $ | null = `null` |
| ) |  |  |

Definition at line 115 of file Ternary.class.php.

Referenced by toString().

Ternary::getValue | ( |  | ) |

Definition at line 98 of file Ternary.class.php.

Referenced by ComplexPrimitive::setState().

Ternary::isFalse | ( |  | ) |

Definition at line 63 of file Ternary.class.php.

Ternary::isNull | ( |  | ) |

Definition at line 53 of file Ternary.class.php.

Ternary::isTrue | ( |  | ) |

Definition at line 58 of file Ternary.class.php.

Ternary::setFalse | ( |  | ) |

Returns:
  Ternary

Definition at line 91 of file Ternary.class.php.

Ternary::setNull | ( |  | ) |

Returns:
  Ternary

Definition at line 71 of file Ternary.class.php.

Ternary::setTrue | ( |  | ) |

Returns:
  Ternary

Definition at line 81 of file Ternary.class.php.

Ternary::setValue | ( | $ | boolean = `null` | ) |

Returns:
  Ternary

Definition at line 106 of file Ternary.class.php.

References Assert::isTernaryBase().

Referenced by __construct().

Here is the call graph for this function:

static Ternary::spawn | ( | $ | value,
|  | $ | true,
|  | $ | false,
|  | $ | null = `null` |
| ) |  |  | `[static]`

Returns:
  Ternary

Definition at line 38 of file Ternary.class.php.

Ternary::toString | ( |  | ) |

Implements Stringable.

Definition at line 129 of file Ternary.class.php.

References decide().

Here is the call graph for this function:

## Member Data Documentation

Ternary::$trinity = null`[private]`

Definition at line 20 of file Ternary.class.php.

The documentation for this class was generated from the following file:

- core/Base/Ternary.class.php